import shutil
import winpexpect
import os


def importfile(src, dst):
	format=getFormat(src)

	
	dst=str(dst)

	if format=='video':

		shutil.copyfile(src,"data\\tmpfile.tmp")
		src=str("data\\tmpfile.tmp")
		sent_flag=False
		dst=os.path.splitext(dst)[0]+'.mp4'
		cmd = 'ffmpeg -i ' + src + ' -s 1024x720 -r 50 -vcodec h264 -ab 320 -ac 2 ' + dst
		thread = winpexpect.winspawn(cmd)
		print "started %s" % cmd
		cpl = thread.compile_pattern_list([
		    winpexpect.EOF,
		    "frame= *\d+",
		    '[y/N]',
		    '(.+)'
		])
		while True:
		    i = thread.expect_list(cpl, timeout=30)
		    if i == 0: # EOF
		        print "the sub process exited"
		        break
		    elif i == 1:
		        frame_number = thread.match.group(0)
		        print frame_number
		        thread.close
		    elif i == 2 and sent_flag==False:
		        print 'Overwrite'
		        thread.sendline('y')
		        sent_flag=True
		    elif i == 3:
		        unknown_line = thread.match.group(0)

		        pass
		os.remove("data\\tmpfile.tmp")
		return os.path.basename(dst)
	
	elif format=='image' or format =='other':
		shutil.copyfile(src,dst)
		return os.path.basename(dst)

	else:
		return 0

def getFormat(src):
	ext=os.path.splitext(src)[1]
	ext=ext.lower()
	print ext
	videolist=[".mp4",".avi",".mpeg"]
	imagelist=[".png",".jpg",".jpeg",".bmp"]
	audiolist=[".wav", ".mp3"]
	format='other'

	if ext in videolist:
		format = 'video'
	elif ext in imagelist:
		format ='image'	
	elif ext in audiolist:
		format='audio'
	
	return format


def exportMXF(src,dst):
	dstbase=dst


	shutil.copyfile(src,"data\\tmpfile.tmp")
	src=str("data\\tmpfile.tmp")
	dst=str("data\\expfile.tmp")
	sent_flag=False
	dst=os.path.splitext(dst)[0]+'.mxf'
	cmd = 'ffmpeg -i ' + src + ' -vcodec mpeg2video ' + dst
	thread = winpexpect.winspawn(cmd)
	print "started %s" % cmd
	cpl = thread.compile_pattern_list([
	    winpexpect.EOF,
	    "frame= *\d+",
	    '[y/N]',
	    '(.+)'
	])
	while True:
	    i = thread.expect_list(cpl, timeout=30)
	    if i == 0: # EOF
	        print "the sub process exited"
	        break
	    elif i == 1:
	        frame_number = thread.match.group(0)
	        print frame_number
	        thread.close
	    elif i == 2 and sent_flag==False:
	        print 'Overwrite'

	        thread.sendline('y')
	        sent_flag=True
	    elif i == 3:
	        unknown_line = thread.match.group(0)
	
	        pass
	os.remove("data\\tmpfile.tmp")
	shutil.copyfile("data\\expfile.mxf",dstbase)

	return os.path.basename(dst)



