import xml.etree.ElementTree as ET
import os,sys,getopt


class Searchterms:
	def __init__(self,file_id=None,file_type=None,file_name=None,file_desc=None,file_keys=None):
		self.file_id=file_id
		self.file_type=file_type
		self.file_name=file_name
		self.file_desc=file_desc
		self.file_keys=file_keys




def getTerms(filepath):
	print filepath
	tree = ET.parse(filepath)
	root=tree.getroot()
	file_keys=[]	

	namespaces= {'ebucore' : 'urn:ebu:metadata-schema:ebuCore_2012', 'dc': 'http://purl.org/dc/elements/1.1/'}
	coreMeta=root.find('ebucore:coreMetaData', namespaces=namespaces)
	
	for item in coreMeta.findall('ebucore:title',namespaces=namespaces):
		file_name=item.find('dc:title',namespaces=namespaces).text	
	for item in coreMeta.findall('ebucore:alternativeTitle',namespaces=namespaces):
		file_id=item.find('dc:title',namespaces=namespaces).text			
	for item in coreMeta.findall('ebucore:description',namespaces=namespaces):
		file_desc=item.find('dc:description',namespaces=namespaces).text	
	for item in coreMeta.findall('ebucore:subject',namespaces=namespaces):
		file_keys.append(item.find('dc:subject',namespaces=namespaces).text)
	
	for item in coreMeta.findall('ebucore:format',namespaces=namespaces):
		file_type=item.find('dc:format',namespaces=namespaces).text	
	
	Fileterms=Searchterms(file_id,file_type,file_name,file_desc,file_keys)
	return Fileterms